API reference
Saved notifications
account_list_notifications — The account's saved X notifications (mention, reply, quote, like, repost, follow), newest first.
account_list_notifications · Reads saved data
The account's saved X notifications (mention, reply, quote, like, repost, follow), newest first. Use x_read_notifications to refresh.
| REST | GET /api/public/v1/accounts/{account}/notifications |
| MCP tool | account_list_notifications |
| Permission needed | view — Owner, Manager, Operator, Viewer |
| Scope group | accounts:read |
| Group | Synced X data |
| Shown up front in profiles | Operate X accounts |
Input
| Field | Type | Required | Description |
|---|---|---|---|
account |
string (1–100 chars) | Yes | The X account to use: its X-Buddy account_id (from account_list) or its @handle. Ambiguous names return candidates instead of guessing. |
kind |
all · mention · reply · quote · like · repost · follow |
No | |
cursor |
string (0–500 chars) | No | Opaque cursor from a previous page's next_cursor. |
Result
Returned in the { data, meta } envelope, without creating a job on X. Lists include next_cursor and has_more.
Example
Call over REST
curl -X GET "https://reach-link-craft.lovable.app/api/public/v1/accounts/%40your_x_account/notifications" \
-H "Authorization: Bearer $XBUDDY_API_KEY"
Call over MCP
{
"method": "tools/call",
"params": {
"name": "account_list_notifications",
"arguments": {
"account": "@your_x_account"
}
}
}
Errors you may get
| Code | HTTP | Retryable |
|---|---|---|
unauthorized |
401 | No |
key_expired |
401 | No |
integration_revoked |
401 | No |
connection_not_linked |
403 | No |
integration_paused |
403 | No |
workspace_integrations_paused |
403 | No |
integration_authorization_lost |
403 | No |
workspace_suspended |
403 | No |
forbidden |
403 | No |
invalid_input |
422 | No |
rate_limited |
429 | Yes |
internal |
500 | Yes |
ambiguous_account |
409 | No |
account_not_allowed |
403 | No |
not_found |
404 | No |